<template>
  <form id="myForm">
    <div class="input-group input-group-lg">
      <input v-model="code"
        type="text"
        class="form-control"
        placeholder="Insert code"
        aria-label="Insert code"
        aria-describedby="button-addon2"
        required
      >
      <div class="input-group-append">
        <input @click="navigator(code)" class="btn btn-outline-secondary" type="submit" id="button-addon2" value="Button" />
      </div>
    </div>
  </form>
</template>

<script>

import { RTDB } from "../main.js";
export default {
  name: "EnterPoll",
  components: {},
  data() {
    return {
      code:'',
      is_here:false,
      keys:[],
    };
  },
  methods: {
    navigator(code){
      if(code!=""){
        this.keys.forEach(x=>{
          if(x===code){
            this.is_here=true
          }
        })
        if(this.is_here){
          this.$store.dispatch('setCode',code);
          this.$router.push({name:'voting'})
        }else{
          alert('codigo no encontrado, prueba con otro codigo')
        }
        this.is_here=false
      }
    }
  },
  created(){
    RTDB.ref('polls').on('child_added',snapshot=>{
      this.keys.push(snapshot.key)
    });
  }
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
  .input-group{
      width: 50%;
      margin: 1rem auto;
  }
  input[type = submit]{
      width:120px;
      background-color:#343A40;
      border-radius:5px;
      border:1px solid #17A2B8;
      color:#fff
  }
</style>
